<?php

namespace app\components;

use Yii;
use yii\i18n\MissingTranslationEvent;

class TranslationEventHandler
{
    public static function handleMissingTranslation(MissingTranslationEvent $event)
    {
        Yii::$app->i18n->translations['user'] = [
            'class' => 'yii\i18n\PhpMessageSource',
            'basePath' => '@vendor/dektrium/yii2-user/messages',
        ];
        $event->translatedMessage = Yii::t($event->category, $event->message);
    }

}
