<?php
/**
 * Created by PhpStorm.
 * User: mxuser
 * Date: 29.05.18
 * Time: 17:06
 */

namespace app\components;


use Yii;
use yii\web\User as BaseUser;

/**
 * @property \app\models\user\User $identity
 * */
class User extends BaseUser
{
    public function can($permissionName, $params = [], $allowCaching = true)
    {
        if (Yii::$app->user->isGuest) {
            return false;
        }
        if ($this->identity->type == 'admin') {
            return true;
        }
        return $permissionName == $this->identity->type;
    }
}
