<?php


namespace app\controllers;


use dektrium\user\controllers\SettingsController as BaseSettingsController;
use yii\filters\AccessControl;
use yii\filters\VerbFilter;

class ProfileController extends BaseSettingsController
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'rules' => [
                    /*[
                        'actions' => ['edit'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],*/
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    //'edit' => ['post'],
                ],
            ],
        ];
    }

    public function actionIndex(){
        $_u = \Yii::$app->user->identity;
        return $this->render('index', [
            'profile' => $_u
        ]);
    }

}