<?php

use yii\db\Migration;

/**
 * Class m210809_132319_balance_fields
 */
class m210809_132319_balance_fields extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('{{%user}}', 'balance', $this->integer(11)->notNull()->after('address'));
        $this->addColumn('{{%user}}', 'plan_title', $this->string(255)->null()->after('balance'));
        $this->addColumn('{{%user}}', 'plan_price', $this->integer(11)->notNull()->after('plan_title'));
        $this->addColumn('{{%user}}', 'payment_online', $this->smallInteger(3)->null()->after('plan_price'));
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('{{%user}}', 'balance');
        $this->dropColumn('{{%user}}', 'plan_title');
        $this->dropColumn('{{%user}}', 'plan_price');
        $this->dropColumn('{{%user}}', 'payment_online');
    }

}
