<?php

use yii\db\Migration;

/**
 * Class m210820_084938_decimal_currencies
 */
class m210820_084938_decimal_currencies extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->alterColumn('{{%user}}', 'balance', 'decimal(8,2)');
        $this->alterColumn('{{%user}}', 'plan_price', 'decimal(8,2)');
        $this->alterColumn('{{%user}}', 'payment_online', 'decimal(8,2)');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->alterColumn('{{%user}}', 'balance', 'int(11)');
        $this->alterColumn('{{%user}}', 'plan_price', 'int(11)');
        $this->alterColumn('{{%user}}', 'payment_online', 'smallint(3)');
    }
}
