<?php

use yii\db\Migration;

/**
 * Class m210624_065654_user_table_fields
 */
class m210624_065654_user_table_fields extends Migration
{
    public function safeUp()
    {
        $this->dropColumn('{{%user}}', 'type');

        $this->addColumn('{{%user}}', 'uuid', $this->integer(11)->notNull()->unique()->after('id'));
        $this->addColumn('{{%user}}', 'fio', $this->string(255)->notNull()->after('username'));
        $this->addColumn('{{%user}}', 'cname', $this->string(255)->null()->after('fio'));
        $this->addColumn('{{%user}}', 'type', $this->string(32)->notNull()->after('cname'));
        $this->addColumn('{{%user}}', 'phone', $this->string(32)->notNull()->after('email'));
        $this->addColumn('{{%user}}', 'address', $this->text()->null()->after('phone'));
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('{{%user}}', 'uuid');
        $this->dropColumn('{{%user}}', 'fio');
        $this->dropColumn('{{%user}}', 'cname');
        $this->dropColumn('{{%user}}', 'type');
        $this->dropColumn('{{%user}}', 'phone');
        $this->dropColumn('{{%user}}', 'address');
    }
}
