<?php
namespace app\modules\api\controllers;

use app\models\user\User;
use yii\rest\ActiveController;

/**
 * Country Controller API
 *
 * @author Budi Irawan <deerawan@gmail.com>
 */
class UserController extends ActiveController
{
    public $modelClass = 'app\models\user\User';

    public function actionBulkAdd(){
        $requestParams = \Yii::$app->getRequest()->getBodyParams();

        $errs['err'] = array();

        $path = \Yii::getAlias('@webroot') . '/invoices';
        //if(!is_dir($path)) \yii\helpers\FileHelper::createDirectory($path, $mode = 0775);


        foreach ($requestParams as $param){
            $model = $this->modelClass::find()->where(['uuid'=>$param['uuid']])->one() ?? new $this->modelClass;

            $userFolderPath = $path . '/' . $param['uuid'];
            \yii\helpers\FileHelper::createDirectory($userFolderPath . '/schet', $mode = 0775, $recursive = true);
            \yii\helpers\FileHelper::createDirectory($userFolderPath . '/act', $mode = 0775, $recursive = true);

            $model->setScenario('api');
            $model->attributes = $param;
            if (!$model->save()) {
                $errs['err'][$param['uuid']] = $model->getErrors();
            }
        }

        return $errs;
    }

}