<?php

/* @var $this yii\web\View */

$this->title = 'Кабінет користувача';
?>
<div class="site-index">
    <div class="body-content">

        <div class="row">
            <div class="col-md-4 col-lg-3">
                <div class="info-box bg-gradient-warning">
                    <span class="info-box-icon"><i class="fas fa-hryvnia text-xl"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">Баланс</span>
                        <p class="info-box-number h3 m-0"><?= \Yii::$app->user->identity->balance; ?> грн</p>

                        <div class="progress d-none">
                            <div class="progress-bar" style="width: 100%"></div>
                        </div>
                        <p class="progress-description d-none">
                            <a href="#" class="text-muted">Поповнити рахунок <i class="fas fa-arrow-circle-right"></i></a>
                        </p>
                    </div>
                    <!-- /.info-box-content -->
                </div>
            </div>
            <div class="col-md-4 col-lg-3">
                <div class="info-box bg-gradient-success">
                    <span class="info-box-icon"><i class="fas fa-puzzle-piece text-xl"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">Тарифний план</span>
                        <p class="info-box-number m-0"><span class="h3 text-uppercase text-bold"><?= \Yii::$app->user->identity->plan_title; ?></span> <small>(<?= \Yii::$app->user->identity->plan_price; ?> грн)</small></p>

                        <div class="progress d-none">
                            <div class="progress-bar" style="width: 70%"></div>
                        </div>
                        <p class="progress-description d-none">Закінчується</p>
                    </div>
                    <!-- /.info-box-content -->
                </div>
            </div>
        </div>

    </div>
</div>
